io.vertx.ext.web.handler.sockjs

## Interface SockJSHandler

- All Superinterfaces:
    Handler<RoutingContext>

      public interface SockJSHandler
      extends Handler<RoutingContext>

  A handler that allows you to handle SockJS connections from clients.

  We currently support version 0.3.3 of the SockJS protocol, which can be found in this tag:

  Author:
    Tim Fox, Paulo Lopes

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Router` | `bridge(BridgeOptions bridgeOptions)` Deprecated.
    `default Router` | `bridge(BridgeOptions bridgeOptions, Handler<BridgeEvent> bridgeEventHandler)` Deprecated.
    `Router` | `bridge(SockJSBridgeOptions bridgeOptions)` Bridge the SockJS handler to the Vert.x event bus.
    `Router` | `bridge(SockJSBridgeOptions bridgeOptions, Handler<BridgeEvent> bridgeEventHandler)` Like `bridge(SockJSBridgeOptions)` but specifying a handler that will receive bridge events.
    `static SockJSHandler` | `create(Vertx vertx)` Create a SockJS handler
    `static SockJSHandler` | `create(Vertx vertx, SockJSHandlerOptions options)` Create a SockJS handler
    `void` | `handle(RoutingContext routingContext)` Deprecated. mount the router as a sub-router instead. This method will not properly handle errors.
    `Router` | `socketHandler(Handler<SockJSSocket> handler)` Set a SockJS socket handler.

- - ### Method Detail

    - #### create

          static SockJSHandler create(Vertx vertx)

      Create a SockJS handler
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the handler

    - #### create

          static SockJSHandler create(Vertx vertx,
                                      SockJSHandlerOptions options)

      Create a SockJS handler
      Parameters:
        `vertx` - the Vert.x instance
        `options` - options to configure the handler
      Returns:
        the handler

    - #### socketHandler

          Router socketHandler(Handler<SockJSSocket> handler)

      Set a SockJS socket handler. This handler will be called with a SockJS socket whenever a SockJS connection is made from a client
      Parameters:
        `handler` - the handler
      Returns:
        a router to be mounted on an existing router

    - #### bridge

          Router bridge(SockJSBridgeOptions bridgeOptions)

      Bridge the SockJS handler to the Vert.x event bus. This basically installs a built-in SockJS socket handler which takes SockJS traffic and bridges it to the event bus, thus allowing you to extend the server-side Vert.x event bus to browsers
      Parameters:
        `bridgeOptions` - options to configure the bridge with
      Returns:
        a router to be mounted on an existing router

    - #### bridge

          @Deprecated
          default Router bridge(BridgeOptions bridgeOptions)

      Deprecated.

    - #### bridge

          Router bridge(SockJSBridgeOptions bridgeOptions,
                        Handler<BridgeEvent> bridgeEventHandler)

      Like `bridge(SockJSBridgeOptions)` but specifying a handler that will receive bridge events.
      Parameters:
        `bridgeOptions` - options to configure the bridge with
        `bridgeEventHandler` - handler to receive bridge events
      Returns:
        a router to be mounted on an existing router

    - #### bridge

          @Deprecated
          default Router bridge(BridgeOptions bridgeOptions,
                                            Handler<BridgeEvent> bridgeEventHandler)

      Deprecated.

    - #### handle

          @Deprecated
          void handle(RoutingContext routingContext)

      Deprecated. mount the router as a sub-router instead. This method will not properly handle errors.
      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `routingContext` - the rounting context

Copyright © 2022 Eclipse. All rights reserved.